import type { TagsBase } from '../../../storage/BaseRecord';
import { BaseRecord } from '../../../storage/BaseRecord';
import { DidDocument } from '../domain';
import { DidDocumentRole } from '../domain/DidDocumentRole';
export interface DidDocumentRecordProps {
    id: string;
    role: DidDocumentRole;
    didDocument: DidDocument;
    createdAt?: Date;
    tags?: CustomDidDocumentTags;
}
export declare type CustomDidDocumentTags = TagsBase;
export declare type DefaultDidDocumentTags = TagsBase;
export declare class DidDocumentRecord extends BaseRecord<DefaultDidDocumentTags, CustomDidDocumentTags> implements DidDocumentRecordProps {
    didDocument: DidDocument;
    role: DidDocumentRole;
    static readonly type = "DidDocumentRecord";
    readonly type = "DidDocumentRecord";
    constructor(props: DidDocumentRecordProps);
    getTags(): {
        [x: string]: import("../../../storage/BaseRecord").TagValue;
        [x: number]: never;
    };
}
